Subject: Re: [PATCH 1/2] Allow pack header preprocessing before unpack-objects/index-pack.

From: Shawn Pearce <[email-masked]>
Date: Tue, 31 Oct 2006 15:08:41 -0500

Nicolas Pitre <[email-masked]> wrote:
> On Tue, 31 Oct 2006, Shawn Pearce wrote:
> 
> > However if the caller consumes the pack header from the input stream
> > then its no longer available for unpack-objects or index-pack --stdin,
> > both of which need the version and object count to process the stream.
> > 
> > This change introduces --pack_header=ver,cnt as a command line option
> > that the caller can supply to indicate it has already consumed the
> > pack header and what version and object count were found in that
> > header.  As this option is only meant for low level applications
> > such as receive-pack we are not documenting it at this time.
> 
> This breaks index-pack, and unpack-objects with OBJ_OFS_DELTA, if 
> --pack-header is used.  The header is not accounted in the pack's offset 
> and therefore every object's offset is wrong.
> 
> What about this patch instead?  This makes things much simpler IMHO.

Agreed.  The idea you are using here came to me in my sleep last
night; I didn't have time to look at it until now however.  You just
beat me to posting it.  :-)

--